{
	"name": "form/nc/report/cash-flow/cash-flow.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "cash-flow"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-header",
						"attribute": {
							"size": "medium",
							"hdr": "hdr.cash_flow.header"
						}
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Time period",
								"attribute": {
									"model": "hdr.cash_flow.time_period"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-padding-right"],
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"id": "start_date",
									"end-calendar": "rec.end_date",
									"model": "rec.start_date",
									"v-on:blur": "update('start_date')"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-padding-right"],
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"id": "end_date",
									"model": "rec.end_date",
									"start-calendar": "rec.start_date",
									"v-on:blur": "update('end_date')"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-end-h"],
							"width": "auto"
						},
						"element": [
							{
								"component": "nc-button",
								"attribute": {
									"model": "hdr.cash_flow.update",
									"primary": "primary",
									"v-on:click.native": "update()"
								},
								"element": [
									{
										"component": "i",
										"attribute": {
											"class": ["far", "fa-sync"]
										}
									},
									{
										"component": "nc-translate",
										"text": "Update",
										"attribute": {
											"model": "hdr.cash_flow.update"
										}
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-tab",
						"attribute": {
							"model": "rec.tab",
							"v-on:change": "tabChanged"
						},
						"element": [
							{
								"component": "nc-grid",
								"attribute": {
									"height": "66vh",
									"id": "cash_flow",
									"model": "grid.cash_flow"
								}
							}
						]
					}
				]
			}
		]
	}
}
